Download it now!
Bug 131716 - Freeze/hang after clicking Cancel in the Chart Wizard (with a large range of data selected)
Summary: Freeze/hang after clicking Cancel in the Chart Wizard (with a large range of ...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.4
Keywords: perf
Depends on:
Blocks:
 
Reported: 2020-03-30 16:23 UTC by Telesto
Modified: 2020-04-14 18:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-03-30 16:23:33 UTC
Description:
Freeze/hang after clicking Cancel in the Chart Wizard (with a large range of data selected)

Steps to Reproduce:
1. Open attachment 159155 [details]
2. Select column A-B
3. Click Chart button in the toolbar
4. Press the cancel button -> Freeze/hang

Actual Results:
Hang/Freeze

Expected Results:
No hang/freeze


Reproducible: Always


User Profile Reset: No



Additional Info:
Versie: 7.0.0.0.alpha0+ (x64)
Build ID: 4501a0ba623ad61c5a4e0b807da2e96f0e4ce82c
CPU-threads: 4; Besturingssysteem: Windows 6.3 Build 9600; UI-render: Skia/Vulkaan; VCL: win; 
Locale: nl-NL (nl_NL); UI-taal: nl-NL
Calc: CL
Comment 1 Timur 2020-03-31 16:38:53 UTC Comment hidden (obsolete)
Comment 2 Telesto 2020-04-01 12:57:11 UTC
(In reply to Timur from comment #1)
> Repro 7.0 with Skia.

Not related to skia, as far i can tell. I'm having the same issue with default rendering
Comment 3 Xisco Faulí 2020-04-02 11:13:19 UTC
Also reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 169a10f0e4680814145b668c6320be04038d7a89
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 Commit Notification 2020-04-03 08:29:59 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/55220e7bc6576a7575c675ba425e757a3aefa243

use mdds position hint (tdf#131716)

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-04-03 15:11:34 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/0d631aad92e874a95d9cd31ab50c63085fcabced

use mdds position hint (tdf#131716)

It will be available in 6.4.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-04-14 18:58:43 UTC
Takes a while to cancel it ( huge amount of data ) but at least it doesn't hang.

Version: 7.0.0.0.alpha0+
Build ID: 35fc5ef0a759884b24ed8b83cd05702a0fab64cc
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Luboš Luňák, thanks for fixing this issue!!